package cz.moneta.test.dsl.hypos.enums;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum OtherIncomeType implements DynamicPathPart {
    MATERNITY_ALLOWANCE("maternity-allowance"),
    INVALIDITY_PENSION("invalidity-pension"),
    OLDAGE_PENSION("oldage-pension"),
    OTHER_PENSION("other-pension"),
    RENTE("rente"),
    CAPITAL_ASSETS("capital-assets"),
    DRIVER_DIETS("intl-driver-diets"),
    ALIMENT("aliment"),
    PARENTAL_CONTRIBUTION("parental-contribution"),
    FOSTER_CARE("foster-care"),
    PROFIT_PORTION("profit-portion"),
    OTHER("other"),
    RENTAL_ALLOWANCE_GROSS("rental-allowance-gross"),
    RENTAL_ALLOWANCE_TAX_RETURN("rental-allowance-tax-return"),
    RENTAL_ALLOWANCE("rental-allowance"),
    FUTURE_RENTAL_ALLOWANCE("future-rental-allowance"),
    UNSPECIFIED("unspecified");

    private final String otherIncomeType;

    OtherIncomeType(String otherIncomeType) {
        this.otherIncomeType = otherIncomeType;
    }

    public String getValue() {
        return otherIncomeType;
    }
}